Subject: Re: linux-next: manual merge of the arm-lpae tree with the arm tree

From: Catalin Marinas <[email-masked]>
Date: Tue, 22 Nov 2011 11:05:25 +0000

Stephen,

On Tue, Nov 22, 2011 at 01:03:58AM +0000, Stephen Rothwell wrote:
> Today's linux-next merge of the arm-lpae tree got a conflict in
> arch/arm/mm/ioremap.c between commit 3afb51f744b6 ("ARM: add generic
> ioremap optimization by reusing static mappings") from the arm tree and
> commit ec93d80c4b07 ("ARM: LPAE: Page table maintenance for the 3-level
> format") from the arm-lpae tree.
> 
> I guessed (probably incorrectly) about the fix up (see below).  Please
> supply a better fix if necessary.

The fix-up looks correct from an LPAE perspective. I cannot comment on
the correctness of Nicolas' patch, that's to be discussed on the ARM
Linux list.

Thanks.

-- 
Catalin